## org.eclipse.ocl.expressions
Enum CollectionKind

    java.lang.Object
      java.lang.Enum<CollectionKind>
          org.eclipse.ocl.expressions.CollectionKind

All Implemented Interfaces:
  Serializable, Comparable<CollectionKind>, Enumerator

    public enum CollectionKind

extends Enum<CollectionKind>
implements Enumerator

A representation of the literals of the enumeration 'Collection Kind', and utility methods for working with them.

See Also:
  `ExpressionsPackage.getCollectionKind()`

Enum Constant Summary
`BAG_LITERAL` The 'Bag' literal object
`COLLECTION_LITERAL` The 'Collection' literal object
`ORDERED_SET_LITERAL` The 'Ordered Set' literal object
`SEQUENCE_LITERAL` The 'Sequence' literal object
`SET_LITERAL` The 'Set' literal object

Field Summary
`static int` `BAG` The 'Bag' literal value
`static int` `COLLECTION` The 'Collection' literal value
`static int` `ORDERED_SET` The 'Ordered Set' literal value
`static int` `SEQUENCE` The 'Sequence' literal value
`static int` `SET` The 'Set' literal value
`static List<CollectionKind>` `VALUES` A public read-only list of all the 'Collection Kind' enumerators

Method Summary
`static CollectionKind` `get(int value)` Returns the 'Collection Kind' literal with the specified integer value
`static CollectionKind` `get(String literal)` Returns the 'Collection Kind' literal with the specified literal value
`static CollectionKind` `getByName(String name)` Returns the 'Collection Kind' literal with the specified name
`static CollectionKind` `getKind(boolean ordered, boolean unique)`
`String` `getLiteral()`
`String` `getName()`
`int` `getValue()`
`String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static CollectionKind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CollectionKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SET_LITERAL

    public static final CollectionKind SET_LITERAL

  The 'Set' literal object.

  See Also:
    `SET`

### ORDERED_SET_LITERAL

    public static final CollectionKind ORDERED_SET_LITERAL

  The 'Ordered Set' literal object.

  See Also:
    `ORDERED_SET`

### BAG_LITERAL

    public static final CollectionKind BAG_LITERAL

  The 'Bag' literal object.

  See Also:
    `BAG`

### SEQUENCE_LITERAL

    public static final CollectionKind SEQUENCE_LITERAL

  The 'Sequence' literal object.

  See Also:
    `SEQUENCE`

### COLLECTION_LITERAL

    public static final CollectionKind COLLECTION_LITERAL

  The 'Collection' literal object.

  See Also:
    `COLLECTION`

Field Detail

### SET

    public static final int SET

  The 'Set' literal value.

  If the meaning of 'Set' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SET_LITERAL`, Constant Field Values

### ORDERED_SET

    public static final int ORDERED_SET

  The 'Ordered Set' literal value.

  If the meaning of 'Ordered Set' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ORDERED_SET_LITERAL`, Constant Field Values

### BAG

    public static final int BAG

  The 'Bag' literal value.

  If the meaning of 'Bag' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BAG_LITERAL`, Constant Field Values

### SEQUENCE

    public static final int SEQUENCE

  The 'Sequence' literal value.

  If the meaning of 'Sequence' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SEQUENCE_LITERAL`, Constant Field Values

### COLLECTION

    public static final int COLLECTION

  The 'Collection' literal value.

  If the meaning of 'Collection' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COLLECTION_LITERAL`, Constant Field Values

### VALUES

    public static final List<CollectionKind> VALUES

  A public read-only list of all the 'Collection Kind' enumerators.

Method Detail

### values

    public static final CollectionKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CollectionKind c : CollectionKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CollectionKind valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static CollectionKind get(String literal)

  Returns the 'Collection Kind' literal with the specified literal value.

### getByName

    public static CollectionKind getByName(String name)

  Returns the 'Collection Kind' literal with the specified name.

### get

    public static CollectionKind get(int value)

  Returns the 'Collection Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `Enum<CollectionKind>`

### getKind

    public static CollectionKind getKind(boolean ordered,
                                         boolean unique)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.